APF-Tracker

Adventure PHP Framework Issue Management


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000275Adventure PHP FrameworkNeues Feature // New Featurepublic2015-11-30 15:162016-04-18 22:50
ReporterChristianAchatz 
Assigned ToChristianAchatz 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version3.1 
Target Version3.2Fixed in Version3.2 
Summary0000275: Introduce data mapping for forms
DescriptionATM, reading data from form controls must be implemented explicitly for each use case. Working with (view) models this requires to write mapping code that often contains redundant structures and content.

Within this change request the APF form implementation should be anhanced to support form content to model mapping that allows filling a model as a one-liner.
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])
Namespacetools
Attached Files

- Relationships
related to 0000297resolvedChristianAchatz Introduce an easy way to fill forms 

-  Notes
(0000695)
ChristianAchatz (administrator)
2016-03-28 11:09

- First draft implementation done. Mapping data to model works.
- Refactoring to support any kind of mapping to be introduced.
- Implementation of mapping of model values to form still outstanding.
(0000696)
ChristianAchatz (administrator)
2016-03-29 11:35

- Refactoring done. Introduced FormValueMapper and ModelValueMapper interfaces.
(0000703)
ChristianAchatz (administrator)
2016-04-06 15:42

- Implementation of form-2-model mapping done.
- Starting with documentation.
(0000709)
ChristianAchatz (administrator)
2016-04-18 22:49

- Finished documentation and translation.

- Issue History
Date Modified Username Field Change
2015-11-30 15:16 ChristianAchatz New Issue
2016-03-27 22:01 ChristianAchatz Assigned To => ChristianAchatz
2016-03-27 22:01 ChristianAchatz Status new => assigned
2016-03-28 11:09 ChristianAchatz Note Added: 0000695
2016-03-29 11:35 ChristianAchatz Note Added: 0000696
2016-04-06 15:42 ChristianAchatz Note Added: 0000703
2016-04-18 22:49 ChristianAchatz Issue cloned: 0000297
2016-04-18 22:49 ChristianAchatz Relationship added related to 0000297
2016-04-18 22:49 ChristianAchatz Note Added: 0000709
2016-04-18 22:50 ChristianAchatz Status assigned => resolved
2016-04-18 22:50 ChristianAchatz Fixed in Version => 3.2
2016-04-18 22:50 ChristianAchatz Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker